define(['jquery', 'underscore', 'backbone', 'router'], function
        ($, _, Backbone, Router) {
    'use strict';
    var init = function() {
        //create backbone router 
        var router = new Router();
        Backbone.history.start();
        Backbone.emulateJSON = true;
        $('body').css('background-color', '');
        $('body').css('background-image', 'url(Resources/img/bckgrnd.jpg)');
        $('#loadingFrm').remove();

        Array.prototype.move = function(old_index, new_index) {
            while (old_index < 0) {
                old_index += this.length;
            }
            while (new_index < 0) {
                new_index += this.length;
            }
            if (new_index >= this.length) {
                var k = new_index - this.length;
                while ((k--) + 1) {
                    this.push(undefined);
                }
            }
            this.splice(new_index, 0, this.splice(old_index, 1)[0]);
            return this; // for testing purposes
        };
    };

    return {
        initialize: init
    };
});